<ion-header>
  <ion-toolbar color="primary">
    <ion-buttons slot="start">
      <ion-button size="small" shape="round" (click)="closeModal()" color="light">
        <ion-icon slot="start" name="close"></ion-icon> Close
      </ion-button>
      <ion-title>Queue Details</ion-title>
    </ion-buttons>   
  </ion-toolbar>
</ion-header>

<ion-content class="profile" style="--background:rgb(243, 243, 243);">
    <ion-card no-margin class="profile">
      <ion-card-content class="bg-profile" (click)="presentImage(item.PictureUrl?imgpath+item.PictureUrl:'assets/img/avatar.png')">
        <img src="{{item.PictureUrl?imgpath+item.PictureUrl:'assets/img/avatar.png'}}" />
        <h1 class="fw500">{{item.CustomerName}}</h1>
        <div *ngIf="item.Id!=null" style="--background:transparent;align-content: center;">
          <ion-text><strong>Queue No. {{item.QueueNo}}</strong></ion-text> - 
          <ion-text color="warning"><strong>({{item.TimeWaited}} mins waited)</strong></ion-text>
        </div>        
      </ion-card-content>
    </ion-card> 
    <ion-card>
        <ion-card-header color="medium">
          <ion-card-subtitle>Queue Information</ion-card-subtitle>
        </ion-card-header>
        <ion-card-content color="medium">
            <ion-grid fixed no-padding style="width: 100%">
                <ion-row>
                    <ion-col size="6" class="row-label" padding> Registration Number <ion-text color="danger">*</ion-text></ion-col>
                    <ion-col size="6">
                      <ion-input required="true" 
                                 [(ngModel)]="item.RegNo" 
                                 placeholder="Registration number" 
                                 [readonly]="item.Id!=null" 
                                 (ionChange)="getVehicleInfo()"
                                 debounce="1000"
                                 style="--padding-start:16px ;"></ion-input>
                    </ion-col>
                  </ion-row>
                  <ion-row>
                      <ion-col size="6" class="row-label" padding>Mobile Number <ion-text color="danger">*</ion-text></ion-col>
                      <ion-col size="6">
                        <ion-input type="tel" 
                                   required="true" 
                                   [readonly]="item.Id!=null" 
                                   [(ngModel)]="item.MobileNo" 
                                   placeholder="Mobile number" 
                                   debounce="1000"
                                   style="--padding-start:16px;"></ion-input>
                      </ion-col>
                  </ion-row>
                  <ion-row>
                      <ion-col size="6" class="row-label" padding>Customer Name <ion-text color="danger">*</ion-text></ion-col>
                      <ion-col size="6">
                        <ion-input required="true" 
                                   [readonly]="item.Id!=null" 
                                   [(ngModel)]="item.CustomerName" 
                                   placeholder="Name" 
                                   style="--padding-start:16px;"></ion-input>
                      </ion-col>
                    </ion-row> 
                    <ion-row>
                      <ion-col size="6" class="row-label" padding>Customer Type <ion-text color="danger">*</ion-text></ion-col>
                      <ion-col size="6"> 
                        <ion-input value="{{
                                            item.IsPriorityPlus?'Priority Plus':
                                            item.IsVIP?'VIP Customer':'Regular'
                                          }}" 
                                   readonly placeholder="Customer Type" 
                                   color="{{
                                            item.IsPriorityPlus?'warning':
                                            item.IsVIP?'primary':'dark'}}"
                                   style="--padding-start:16px;"></ion-input>            
                    </ion-col>
                  </ion-row>         
                <ion-row>
                  <ion-col size="6" class="row-label" padding >Service Group <ion-text color="danger">*</ion-text></ion-col>
                  <ion-col size="6"> 
                    <ion-select placeholder="{{srvtypename}}"
                                [(ngModel)]="item.ServiceTypeId" 
                                (ionChange)="selectService($event)"
                                selectedText="{{srvtypename}}"
                                [interfaceOptions]="customPopoverOptions" 
                                interface="popover"
                                required 
                                [disabled]="item.Id!=null"
                                *ngIf="item.Id==null">
          
                      <ion-select-option  *ngFor="let srv of services" value="{{srv.Id}}"
                                          selected="item.ServiceTypeId==srv.Id">
                          {{srv.TypeName}}
                      </ion-select-option>            
          
                    </ion-select>     
                    <ion-input *ngIf="item.Id!=null" value="{{item.TypeName}}" 
                                readonly 
                                placeholder="Service Group" 
                                style="--padding-start:16px;"></ion-input>            
                  </ion-col>
                </ion-row>
                <ion-row *ngIf="item.Status!=null">
                    <ion-col size="6" class="row-label" padding>Status <ion-text color="danger">*</ion-text></ion-col>
                    <ion-col size="6">
                      <ion-input required="true" 
                                 value="{{item.Status}}" 
                                 readonly 
                                 placeholder="Status" 
                                 style="--padding-start:16px;"></ion-input>
                    </ion-col>
                </ion-row>
                <!--
                <ion-row>
                  <ion-col class="row-label" padding>Repair Order Number</ion-col>
                  <ion-col>
                    <ion-input type="number" 
                               [(ngModel)]="item.RONo" 
                               style="--padding-start:16px;" 
                               [readonly]="item.Id!=null"></ion-input></ion-col>
                </ion-row>
                <ion-row>
                  <ion-col class="row-label" padding>Repair Order Date</ion-col>
                  <ion-col>
                    <ion-datetime [(ngModel)]="item.RODate" 
                                  [readonly]="item.Id!=null" 
                                  display-format="MMM DD, YYYY"></ion-datetime>
                    </ion-col>
                </ion-row>
                -->
                <!--
                <ion-row *ngIf="item.ApptDate!=null">
                  <ion-col class="row-label" padding>Appointment Date</ion-col>
                  <ion-col>
                    <ion-datetime placeholder="Appointment Date" 
                                  [(ngModel)]="item.ApptDate" 
                                  [readonly]="item.Id!=null" 
                                  display-format="MMM DD, YYYY"></ion-datetime>
                  </ion-col>
                </ion-row>
                -->
                <ion-row>
                  <ion-col size="6" class="row-label" padding>Appointment Time</ion-col>        
                  <ion-col size="6">
                    <ion-datetime displayFormat="DD MMM YYYY HH:mm" 
                                  [(ngModel)]="item.ServiceDate"
                                  minuteValues="0,15,30,45"
                                  [readonly]="item.Id!=null"></ion-datetime>
                  </ion-col>
                </ion-row>
                <!--
                <ion-row *ngIf="item.Id!=null">
                  <ion-col class="row-label" padding>Time Arrived</ion-col>
                  <ion-col>
                    <ion-datetime placeholder="Time arrived" 
                                  display-format="hh:mm A"></ion-datetime>
                  </ion-col>
                </ion-row> 
                -->
                <ion-row>
                  <ion-col size="6" class="row-label" padding>Service Advisor</ion-col>
                  <ion-col size="5">      
                      <ion-input required="true" 
                      value="{{item.CSAUserId==null?'Next Available CSA':item.CSAName}}" 
                      readonly 
                      style="--padding-start:16px;"></ion-input>
                  </ion-col>
                  <ion-col size="1">
                      <ion-button color="primary" 
                                size="small" 
                                item-right 
                                (click)="editCSA(item.CSAUserId)"
                                [disabled]="item.Status!='Waiting'">
                      <ion-icon name="search" slot="icon-only" ></ion-icon>              
                    </ion-button>          
                  </ion-col>
                </ion-row>  
                <ion-row>
                  <ion-col>
                    <ion-textarea padding color="dark" rows="1" cols="20" [(ngModel)]="item.Remarks" placeholder="Enter any remarks here...">            
                    </ion-textarea>
                  </ion-col>
                </ion-row>
              </ion-grid>  
        </ion-card-content>
    </ion-card>
    <ion-card>
      <ion-card-header color="medium">
        <ion-card-subtitle>Vehicle Information</ion-card-subtitle>
      </ion-card-header>
      <ion-card-content color="light">
          <ion-grid fixed no-padding>
          <ion-row>
            <ion-col size="6" class="row-label" padding>Chassis Number</ion-col>
            <ion-col size="6">
              <ion-input [(ngModel)]="vehinfo.ChassisNo" 
                         placeholder="Chassis number" 
                         readonly
                         style="--padding-start:16px ;"></ion-input>
            </ion-col>
          </ion-row>
          <ion-row>
            <ion-col size="6" class="row-label" padding>Body Style</ion-col>
            <ion-col size="6">
              <ion-input [(ngModel)]="vehinfo.BodyStyle" 
                         placeholder="Body Style" 
                         readonly
                         style="--padding-start:16px ;"></ion-input>
            </ion-col>
          </ion-row>
          <ion-row>
            <ion-col size="6" class="row-label" padding>Color</ion-col>
            <ion-col size="6">
              <ion-input [(ngModel)]="vehinfo.Color" 
                         placeholder="Color" 
                         readonly
                         style="--padding-start:16px ;"></ion-input>
            </ion-col>
          </ion-row>
          <ion-row>
            <ion-col size="6" class="row-label" padding>Engine Capacity</ion-col>
            <ion-col size="6">
              <ion-input [(ngModel)]="vehinfo.EngineCap" 
                         placeholder="Engine Capacity" 
                         readonly
                         style="--padding-start:16px ;"></ion-input>
            </ion-col>
          </ion-row>
          <ion-row>
            <ion-col size="6" class="row-label" padding>Warranty Expiry Date</ion-col>
            <ion-col size="6">
                <ion-datetime displayFormat="D MMM YYYY" 
                placeholder="Warranty Date"
                [(ngModel)]="vehinfo.WtyExpDate"
                readonly></ion-datetime>              
            </ion-col>
          </ion-row>
          <ion-row>
            <ion-col size="6" class="row-label" padding>Extended Warranty Date</ion-col>
            <ion-col size="6">
                <ion-datetime displayFormat="D MMM YYYY" 
                placeholder="Extended Warranty Date"
                [(ngModel)]="vehinfo.ExtWtyExpDate"
                readonly></ion-datetime>              
            </ion-col>
          </ion-row>
          <ion-row>
            <ion-col size="6" class="row-label" padding>Make</ion-col>
            <ion-col size="6">
              <ion-input [(ngModel)]="vehinfo.MakeName" 
                         placeholder="Make" 
                         readonly
                         style="--padding-start:16px ;"></ion-input>
            </ion-col>
          </ion-row>
          <ion-row>
            <ion-col size="6" class="row-label" padding>Model</ion-col>
            <ion-col size="6">
              <ion-input [(ngModel)]="vehinfo.ModelName" 
                         placeholder="Model" 
                         readonly
                         style="--padding-start:16px ;"></ion-input>
            </ion-col>
          </ion-row>
          <ion-row>
              <ion-col size="6" class="row-label" padding>Model Year</ion-col>
              <ion-col size="6">
                <ion-input [(ngModel)]="vehinfo.ModelYear" 
                           placeholder="Model Year" 
                           readonly
                           style="--padding-start:16px ;"></ion-input>
              </ion-col>
            </ion-row>  
          </ion-grid>              
      </ion-card-content>
    </ion-card>    
  </ion-content>
<ion-footer>
  <ion-toolbar *ngIf="item.Status!='Completed'">
    <ion-grid>
      <ion-row>
        <ion-col *ngIf="item.Id==null && params.caller=='/queue-list'">
            <ion-button color="light" fill="solid" expand="block" (click)="confirm('register')">
              Register <ion-icon slot="start" name="filing"></ion-icon> <!--<ion-icon slot="end" name="arrow-forward"></ion-icon>-->
            </ion-button>
        </ion-col>        
        <ion-col *ngIf="!item.IsKeyDrop && params.caller=='/queue-list'">
            <ion-button color="light" fill="solid" expand="block" (click)="confirm('Keydrop')">
                Keydrop <ion-icon slot="start" name="key"></ion-icon> <!--<ion-icon slot="end" name="arrow-forward"></ion-icon>-->
            </ion-button>
        </ion-col>       
        <ion-col *ngIf="item.Id==null">
            <ion-button color="light" fill="solid" expand="block" (click)="confirm('Testdrive')">
              Test Drive <ion-icon slot="start" name="car"></ion-icon> <!--<ion-icon slot="end" name="arrow-forward"></ion-icon>-->
            </ion-button>            
        </ion-col>       
        <ion-col *ngIf="item.Id!=null">
          <ion-button color="light" fill="solid" expand="block" (click)="confirm('Complete')">
              Complete <ion-icon slot="start" name="flag"></ion-icon> <!--<ion-icon slot="end" name="arrow-forward"></ion-icon>-->
          </ion-button>
        </ion-col>   
        <ion-col *ngIf="item.Id!=null">
          <ion-button color="light" fill="solid" expand="block" (click)="confirm('Delete')">
              Delete <ion-icon slot="start" name="close"></ion-icon> <!--<ion-icon slot="end" name="arrow-forward"></ion-icon>-->
          </ion-button>                      
        </ion-col>  
      </ion-row>          
    </ion-grid>    
  </ion-toolbar>
</ion-footer>